

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Index &mdash; GWMAT: Gravitational Wave Microlensing Analysis Tools 1.0.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=7ab3649f" />

  
      <script src="_static/jquery.js?v=5d32c60e"></script>
      <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="_static/documentation_options.js?v=8d563738"></script>
      <script src="_static/doctools.js?v=9a2dae69"></script>
      <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            GWMAT: Gravitational Wave Microlensing Analysis Tools
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="gwmat.html">gwmat package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">GWMAT: Gravitational Wave Microlensing Analysis Tools</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Index</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#J"><strong>J</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#W"><strong>W</strong></a>
 | <a href="#X"><strong>X</strong></a>
 | <a href="#Y"><strong>Y</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.add_noise_to_gw_signal">add_noise_to_gw_signal() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.adjust_signal_length_to_power_of_2">adjust_signal_length_to_power_of_2() (gwmat.injection.CBCInjection method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology.angular_diameter_distance_between_redshifts">angular_diameter_distance_between_redshifts() (gwmat.cosmology.Cosmology method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.apply_lensing_amplification_factor">apply_lensing_amplification_factor() (gwmat.injection.CBCInjection method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection">CBCInjection (class in gwmat.injection)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion">CBCParameterConversion (class in gwmat.conversion)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain">CBCParameterDomain (class in gwmat.domain)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_chirp_mass_domain">check_chirp_mass_domain() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.check_if_dict_is_subset">check_if_dict_is_subset() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_mass_domain">check_mass_domain() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_mass_ratio_domain">check_mass_ratio_domain() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_spin_component_domain">check_spin_component_domain() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_spin_component_magnitude">check_spin_component_magnitude() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_spin_vector_domain">check_spin_vector_domain() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_symmetric_mass_ratio_domain">check_symmetric_mass_ratio_domain() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.check_total_spin_magnitude">check_total_spin_magnitude() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.chirp_duration_2PN">chirp_duration_2PN() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.chirp_mass_and_mass_ratio_to_component_masses">chirp_mass_and_mass_ratio_to_component_masses() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_and_aligned_spins_to_chi_eff">component_masses_and_aligned_spins_to_chi_eff() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_chirp_mass">component_masses_to_chirp_mass() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_mass_ratio">component_masses_to_mass_ratio() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_symmetric_mass_ratio">component_masses_to_symmetric_mass_ratio() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.component_masses_to_total_mass_and_mass_ratio">component_masses_to_total_mass_and_mass_ratio() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology.compute_angular_diameter_distance">compute_angular_diameter_distance() (gwmat.cosmology.Cosmology method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.compute_chi_p">compute_chi_p() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology.compute_comoving_distance">compute_comoving_distance() (gwmat.cosmology.Cosmology method)</a>
</li>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology.compute_luminosity_distance">compute_luminosity_distance() (gwmat.cosmology.Cosmology method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.compute_pycbc_match">compute_pycbc_match() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.configure_parameters">configure_parameters() (in module gwmat)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.convert_fd_hp_hc_to_td_wfs">convert_fd_hp_hc_to_td_wfs() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.convert_jframe_params_to_lframe_if_present">convert_jframe_params_to_lframe_if_present() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.convert_td_hp_hc_to_fd_wfs">convert_td_hp_hc_to_fd_wfs() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology">Cosmology (class in gwmat.cosmology)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.cumulative_phase">cumulative_phase() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.cyclic_time_shift_of_wf">cyclic_time_shift_of_wf() (gwmat.gw_utils.GWUtils method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.determine_minimum_total_mass_for_a_given_f22_start">determine_minimum_total_mass_for_a_given_f22_start() (gwmat.nr_injection.NRInjection method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.distribute">distribute() (gwmat.general_utils.GeneralUtils method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.f_220_ringdown_dimensionless">f_220_ringdown_dimensionless() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.f_220_ringdown_from_bbh_params">f_220_ringdown_from_bbh_params() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.f_gw_bkl_isco">f_gw_bkl_isco() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.f_gw_schwarzschild_isco">f_gw_schwarzschild_isco() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.f_of_w">f_of_w() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.f_of_w">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Ff_analytic">Ff_analytic() (gwmat.point_lens.PointLens method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Ff_analytic_map">Ff_analytic_map() (gwmat.point_lens.PointLens method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Ff_effective">Ff_effective() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.Ff_effective">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Ff_effective_map">Ff_effective_map() (gwmat.point_lens.PointLens method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Ff_geometric_optics">Ff_geometric_optics() (gwmat.point_lens.PointLens method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Ff_quasigeometric_optics">Ff_quasigeometric_optics() (gwmat.point_lens.PointLens method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.filter_sxs_simulations_by_AND_conditions">filter_sxs_simulations_by_AND_conditions() (gwmat.nr_injection.NRInjection method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.filter_sxs_simulations_by_OR_conditions">filter_sxs_simulations_by_OR_conditions() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.find_nearest">find_nearest() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology.find_redshift_from_comoving_distance">find_redshift_from_comoving_distance() (gwmat.cosmology.Cosmology method)</a>
</li>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology.find_redshift_from_luminosity_distance">find_redshift_from_luminosity_distance() (gwmat.cosmology.Cosmology method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Fw_analytic">Fw_analytic() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.Fw_analytic">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Fw_analytic_map">Fw_analytic_map() (gwmat.point_lens.PointLens method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Fw_effective">Fw_effective() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.Fw_effective">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Fw_effective_map">Fw_effective_map() (gwmat.point_lens.PointLens method)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Fw_geometric_optics">Fw_geometric_optics() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.Fw_geometric_optics">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.Fw_quasigeometric_optics">Fw_quasigeometric_optics() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.Fw_quasigeometric_optics">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils">GeneralUtils (class in gwmat.general_utils)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.generate_gw_polarizations_hp_hc">generate_gw_polarizations_hp_hc() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.generate_nr_gw_polarizations_hp_hc">generate_nr_gw_polarizations_hp_hc() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.generate_psd">generate_psd() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.generate_unlensed_waveforms">generate_unlensed_waveforms() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.get_psd_file_dict">get_psd_file_dict() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.get_sxs_dataframe">get_sxs_dataframe() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.get_useful_parameters">get_useful_parameters() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.gw_frequency_at_kerr_isco">gw_frequency_at_kerr_isco() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.gw_frequency_at_kerr_isco_from_bbh_params">gw_frequency_at_kerr_isco_from_bbh_params() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.gw_wf_approximants_in_lal">gw_wf_approximants_in_lal() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li>
    gwmat

      <ul>
        <li><a href="gwmat.html#module-gwmat">module</a>
</li>
      </ul></li>
      <li>
    gwmat.bilby_custom_FD_source_models

      <ul>
        <li><a href="gwmat.bilby_custom_FD_source_models.html#module-gwmat.bilby_custom_FD_source_models">module</a>
</li>
      </ul></li>
      <li>
    gwmat.bilby_custom_FD_source_models.microlensing_source

      <ul>
        <li><a href="gwmat.bilby_custom_FD_source_models.html#module-gwmat.bilby_custom_FD_source_models.microlensing_source">module</a>
</li>
      </ul></li>
      <li>
    gwmat.constants

      <ul>
        <li><a href="gwmat.html#module-gwmat.constants">module</a>
</li>
      </ul></li>
      <li>
    gwmat.conversion

      <ul>
        <li><a href="gwmat.html#module-gwmat.conversion">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    gwmat.cosmology

      <ul>
        <li><a href="gwmat.html#module-gwmat.cosmology">module</a>
</li>
      </ul></li>
      <li>
    gwmat.cythonized_point_lens

      <ul>
        <li><a href="gwmat.html#module-gwmat.cythonized_point_lens">module</a>
</li>
      </ul></li>
      <li>
    gwmat.domain

      <ul>
        <li><a href="gwmat.html#module-gwmat.domain">module</a>
</li>
      </ul></li>
      <li>
    gwmat.general_utils

      <ul>
        <li><a href="gwmat.html#module-gwmat.general_utils">module</a>
</li>
      </ul></li>
      <li>
    gwmat.gw_utils

      <ul>
        <li><a href="gwmat.html#module-gwmat.gw_utils">module</a>
</li>
      </ul></li>
      <li>
    gwmat.injection

      <ul>
        <li><a href="gwmat.html#module-gwmat.injection">module</a>
</li>
      </ul></li>
      <li>
    gwmat.methods

      <ul>
        <li><a href="gwmat.methods.html#module-gwmat.methods">module</a>
</li>
      </ul></li>
      <li>
    gwmat.nr_injection

      <ul>
        <li><a href="gwmat.html#module-gwmat.nr_injection">module</a>
</li>
      </ul></li>
      <li>
    gwmat.point_lens

      <ul>
        <li><a href="gwmat.html#module-gwmat.point_lens">module</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils">GWUtils (class in gwmat.gw_utils)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.hertz_to_mass_rescaled_frequency">hertz_to_mass_rescaled_frequency() (gwmat.gw_utils.GWUtils method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.initialize_params">initialize_params() (gwmat.injection.CBCInjection method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.initialize_params">(gwmat.nr_injection.NRInjection method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.cosmology.Cosmology.inverse_dimensionless_hubble_parameter">inverse_dimensionless_hubble_parameter() (gwmat.cosmology.Cosmology method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.is_num">is_num() (gwmat.general_utils.GeneralUtils method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="J">J</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.jframe_to_l0frame">jframe_to_l0frame() (gwmat.gw_utils.GWUtils method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.l0frame_to_jframe">l0frame_to_jframe() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.list_available_psds">list_available_psds() (gwmat.gw_utils.GWUtils method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.bilby_custom_FD_source_models.html#gwmat.bilby_custom_FD_source_models.microlensing_source.load_lookup_table">load_lookup_table() (in module gwmat.bilby_custom_FD_source_models.microlensing_source)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.load_sxs_catalog">load_sxs_catalog() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.load_sxs_catalog_through_nrcatalogtools">load_sxs_catalog_through_nrcatalogtools() (gwmat.nr_injection.NRInjection method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.magification_minima">magification_minima() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.magification_minima">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.magification_saddle">magification_saddle() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.magification_saddle">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.mass_rescaled_frequency_to_hertz">mass_rescaled_frequency_to_hertz() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.mass_rescaled_time_to_seconds">mass_rescaled_time_to_seconds() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.mchirp_and_eta_to_component_masses">mchirp_and_eta_to_component_masses() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.mchirp_q_aligned_spins_to_chi_eff">mchirp_q_aligned_spins_to_chi_eff() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.modify_signal_end_time">modify_signal_end_time() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.modify_signal_start_time">modify_signal_start_time() (gwmat.injection.CBCInjection method)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="gwmat.html#module-gwmat">gwmat</a>
</li>
        <li><a href="gwmat.bilby_custom_FD_source_models.html#module-gwmat.bilby_custom_FD_source_models">gwmat.bilby_custom_FD_source_models</a>
</li>
        <li><a href="gwmat.bilby_custom_FD_source_models.html#module-gwmat.bilby_custom_FD_source_models.microlensing_source">gwmat.bilby_custom_FD_source_models.microlensing_source</a>
</li>
        <li><a href="gwmat.html#module-gwmat.constants">gwmat.constants</a>
</li>
        <li><a href="gwmat.html#module-gwmat.conversion">gwmat.conversion</a>
</li>
        <li><a href="gwmat.html#module-gwmat.cosmology">gwmat.cosmology</a>
</li>
        <li><a href="gwmat.html#module-gwmat.cythonized_point_lens">gwmat.cythonized_point_lens</a>
</li>
        <li><a href="gwmat.html#module-gwmat.domain">gwmat.domain</a>
</li>
        <li><a href="gwmat.html#module-gwmat.general_utils">gwmat.general_utils</a>
</li>
        <li><a href="gwmat.html#module-gwmat.gw_utils">gwmat.gw_utils</a>
</li>
        <li><a href="gwmat.html#module-gwmat.injection">gwmat.injection</a>
</li>
        <li><a href="gwmat.methods.html#module-gwmat.methods">gwmat.methods</a>
</li>
        <li><a href="gwmat.html#module-gwmat.nr_injection">gwmat.nr_injection</a>
</li>
        <li><a href="gwmat.html#module-gwmat.point_lens">gwmat.point_lens</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.network_matched_filter_snr_to_distance">network_matched_filter_snr_to_distance() (gwmat.injection.CBCInjection method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.network_matched_filter_snr_to_distance">(gwmat.nr_injection.NRInjection method)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.network_optimal_snr_to_distance">network_optimal_snr_to_distance() (gwmat.injection.CBCInjection method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.network_optimal_snr_to_distance">(gwmat.nr_injection.NRInjection method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.nrcatalogtools_sxscatalog">nrcatalogtools_sxscatalog (gwmat.nr_injection.NRInjection property)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection">NRInjection (class in gwmat.nr_injection)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.pad_hp_hc_at_start">pad_hp_hc_at_start() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.perform_cyclic_time_shift_on_hp_hc">perform_cyclic_time_shift_on_hp_hc() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.perform_tapering_on_hp_hc">perform_tapering_on_hp_hc() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.bilby_custom_FD_source_models.html#gwmat.bilby_custom_FD_source_models.microlensing_source.point_lens_Ff_lookup_table">point_lens_Ff_lookup_table() (in module gwmat.bilby_custom_FD_source_models.microlensing_source)</a>
</li>
      <li><a href="gwmat.bilby_custom_FD_source_models.html#gwmat.bilby_custom_FD_source_models.microlensing_source.point_lens_microlensing_binary_black_hole">point_lens_microlensing_binary_black_hole() (in module gwmat.bilby_custom_FD_source_models.microlensing_source)</a>
</li>
      <li><a href="gwmat.bilby_custom_FD_source_models.html#gwmat.bilby_custom_FD_source_models.microlensing_source.point_lens_microlensing_binary_black_hole_analytic">point_lens_microlensing_binary_black_hole_analytic() (in module gwmat.bilby_custom_FD_source_models.microlensing_source)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens">PointLens (class in gwmat.point_lens)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.print_dict">print_dict() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.process_fd_wf_models_output">process_fd_wf_models_output() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.process_get_fd_waveform_object">process_get_fd_waveform_object() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.process_get_td_waveform_object">process_get_td_waveform_object() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.process_td_wf_models_output">process_td_wf_models_output() (gwmat.injection.CBCInjection method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.r_isco">r_isco() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.remnant_mass_and_spin_from_bbh_params">remnant_mass_and_spin_from_bbh_params() (gwmat.gw_utils.GWUtils method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.replace_zeros_with_small_values">replace_zeros_with_small_values() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.rough_wf_duration">rough_wf_duration() (gwmat.gw_utils.GWUtils method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.seconds_to_mass_rescaled_time">seconds_to_mass_rescaled_time() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.set_delta_f_based_on_total_mass">set_delta_f_based_on_total_mass() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.set_sample_rate_based_on_total_mass">set_sample_rate_based_on_total_mass() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.simulate_injection_with_comprehensive_output">simulate_injection_with_comprehensive_output() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.simulate_noisy_injection">simulate_noisy_injection() (gwmat.injection.CBCInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.simulate_noisy_nr_injection">simulate_noisy_nr_injection() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.simulate_nr_injection_with_comprehensive_output">simulate_nr_injection_with_comprehensive_output() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.injection.CBCInjection.simulate_zero_noise_injection">simulate_zero_noise_injection() (gwmat.injection.CBCInjection method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.simulate_zero_noise_nr_injection">simulate_zero_noise_nr_injection() (gwmat.nr_injection.NRInjection method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.str_float">str_float() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.str_m">str_m() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.str_num">str_num() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.str_to_float">str_to_float() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.str_y">str_y() (gwmat.general_utils.GeneralUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.nr_injection.NRInjection.sxs_catalog">sxs_catalog (gwmat.nr_injection.NRInjection property)</a>
</li>
      <li><a href="gwmat.html#gwmat.general_utils.GeneralUtils.sync_keys_in_dict">sync_keys_in_dict() (gwmat.general_utils.GeneralUtils method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.time_delay">time_delay() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.time_delay">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.time_delay_dimensionless">time_delay_dimensionless() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.time_delay_dimensionless">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.total_mass_and_mass_ratio_to_chirp_mass">total_mass_and_mass_ratio_to_chirp_mass() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
      <li><a href="gwmat.html#gwmat.conversion.CBCParameterConversion.total_mass_and_mass_ratio_to_component_masses">total_mass_and_mass_ratio_to_component_masses() (gwmat.conversion.CBCParameterConversion method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_geometric_optics_tolerance_0p1">w_cutoff_geometric_optics_tolerance_0p1() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_geometric_optics_tolerance_0p1">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_geometric_optics_tolerance_1p0">w_cutoff_geometric_optics_tolerance_1p0() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_geometric_optics_tolerance_1p0">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_quasigeometric_optics_tolerance_0p1">w_cutoff_quasigeometric_optics_tolerance_0p1() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_quasigeometric_optics_tolerance_0p1">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.w_cutoff_quasigeometric_optics_tolerance_1p0">w_cutoff_quasigeometric_optics_tolerance_1p0() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.w_cutoff_quasigeometric_optics_tolerance_1p0">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.bilby_custom_FD_source_models.html#gwmat.bilby_custom_FD_source_models.microlensing_source.w_index">w_index() (in module gwmat.bilby_custom_FD_source_models.microlensing_source)</a>
</li>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.w_of_f">w_of_f() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.w_of_f">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
      <li><a href="gwmat.html#gwmat.gw_utils.GWUtils.wf_phase">wf_phase() (gwmat.gw_utils.GWUtils method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.wrap">wrap() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.wrap_periodic">wrap_periodic() (gwmat.domain.CBCParameterDomain method)</a>
</li>
      <li><a href="gwmat.html#gwmat.domain.CBCParameterDomain.wrap_reflective">wrap_reflective() (gwmat.domain.CBCParameterDomain method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="X">X</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.x_minima">x_minima() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.x_minima">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.html#gwmat.point_lens.PointLens.x_saddle">x_saddle() (gwmat.point_lens.PointLens method)</a>

      <ul>
        <li><a href="gwmat.html#gwmat.cythonized_point_lens.x_saddle">(in module gwmat.cythonized_point_lens)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="Y">Y</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.bilby_custom_FD_source_models.html#gwmat.bilby_custom_FD_source_models.microlensing_source.y_index">y_index() (in module gwmat.bilby_custom_FD_source_models.microlensing_source)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="gwmat.bilby_custom_FD_source_models.html#gwmat.bilby_custom_FD_source_models.microlensing_source.y_w_grid_data">y_w_grid_data() (in module gwmat.bilby_custom_FD_source_models.microlensing_source)</a>
</li>
  </ul></td>
</tr></table>



           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Anuj Mishra.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>